policy_key Struct Reference

`#include <policy_key.h>`

## Data Fields

db_object_t * | dbo
db_value_t | id
db_value_t | rev
db_value_t | policy_id
const policy_t * | associated_policy_id
policy_t * | private_policy_id
policy_key_role_t | role
unsigned int | algorithm
unsigned int | bits
unsigned int | lifetime
char * | repository
unsigned int | standby
unsigned int | manual_rollover
unsigned int | rfc5011
unsigned int | minimize

## Detailed Description

A policy key object.

Definition at line 54 of file policy_key.h.

## Field Documentation

## algorithm

unsigned int policy_key::algorithm

Definition at line 62 of file policy_key.h.

Referenced by policy_key_algorithm(), policy_key_cmp(), policy_key_copy(), policy_key_create(), policy_key_from_result(), policy_key_reset(), and policy_key_set_algorithm().

## associated_policy_id

const policy_t* policy_key::associated_policy_id

Definition at line 59 of file policy_key.h.

Referenced by policy_key_copy(), and policy_key_reset().

## bits

unsigned int policy_key::bits

Definition at line 63 of file policy_key.h.

Referenced by policy_key_bits(), policy_key_cmp(), policy_key_copy(), policy_key_create(), policy_key_from_result(), policy_key_reset(), and policy_key_set_bits().

## dbo

db_object_t* policy_key::dbo

Definition at line 55 of file policy_key.h.

Referenced by hsm_key_list_new_get_by_policy_key(), policy_key_create(), policy_key_delete(), policy_key_free(), policy_key_get_by_id(), policy_key_get_by_policyid_and_role(), policy_key_new(), and policy_key_new_copy().

## id

db_value_t policy_key::id

Definition at line 56 of file policy_key.h.

Referenced by policy_key_copy(), policy_key_create(), policy_key_delete(), policy_key_free(), policy_key_from_result(), policy_key_new(), and policy_key_reset().

## lifetime

unsigned int policy_key::lifetime

Definition at line 64 of file policy_key.h.

Referenced by policy_key_cmp(), policy_key_copy(), policy_key_create(), policy_key_from_result(), policy_key_lifetime(), policy_key_reset(), and policy_key_set_lifetime().

## manual_rollover

unsigned int policy_key::manual_rollover

Definition at line 67 of file policy_key.h.

Referenced by policy_key_cmp(), policy_key_copy(), policy_key_create(), policy_key_from_result(), policy_key_manual_rollover(), policy_key_reset(), and policy_key_set_manual_rollover().

## minimize

unsigned int policy_key::minimize

Definition at line 69 of file policy_key.h.

Referenced by policy_key_cmp(), policy_key_copy(), policy_key_create(), policy_key_from_result(), policy_key_minimize(), policy_key_reset(), and policy_key_set_minimize().

## policy_id

db_value_t policy_key::policy_id

Definition at line 58 of file policy_key.h.

Referenced by policy_key_cmp(), policy_key_copy(), policy_key_create(), policy_key_free(), policy_key_from_result(), policy_key_new(), policy_key_policy_id(), policy_key_reset(), and policy_key_set_policy_id().

## private_policy_id

policy_t* policy_key::private_policy_id

Definition at line 60 of file policy_key.h.

Referenced by policy_key_copy(), policy_key_free(), and policy_key_reset().

## repository

char* policy_key::repository

Definition at line 65 of file policy_key.h.

Referenced by policy_key_cmp(), policy_key_copy(), policy_key_create(), policy_key_free(), policy_key_from_result(), policy_key_repository(), policy_key_reset(), and policy_key_set_repository().

## rev

db_value_t policy_key::rev

Definition at line 57 of file policy_key.h.

Referenced by policy_key_copy(), policy_key_create(), policy_key_delete(), policy_key_free(), policy_key_from_result(), policy_key_new(), and policy_key_reset().

## rfc5011

unsigned int policy_key::rfc5011

Definition at line 68 of file policy_key.h.

Referenced by policy_key_cmp(), policy_key_copy(), policy_key_create(), policy_key_from_result(), policy_key_reset(), policy_key_rfc5011(), and policy_key_set_rfc5011().

## role

policy_key_role_t policy_key::role

Definition at line 61 of file policy_key.h.

Referenced by policy_key_cmp(), policy_key_copy(), policy_key_create(), policy_key_from_result(), policy_key_new(), policy_key_reset(), policy_key_role(), policy_key_role_text(), and policy_key_set_role().

## standby

unsigned int policy_key::standby

Definition at line 66 of file policy_key.h.

Referenced by policy_key_cmp(), policy_key_copy(), policy_key_create(), policy_key_from_result(), policy_key_reset(), policy_key_set_standby(), and policy_key_standby().

The documentation for this struct was generated from the following file:

- src/db/policy_key.h